Index: trunk/include/Pacpus/PacpusTools/AsyncWorkerBase.h
===================================================================
--- trunk/include/Pacpus/PacpusTools/AsyncWorkerBase.h	(revision 106)
+++ trunk/include/Pacpus/PacpusTools/AsyncWorkerBase.h	(revision 116)
@@ -22,78 +22,80 @@
 namespace pacpus
 {
-  /**
-   * @brief A simple base class for asynchronous workers able to partake in the
-   * Qt slot / signal mechanism
-   *
-   * This class represents an asynchronous event-based worker able to receive and
-   * send Qt signals to other workers or threads. The rationale is to be able to
-   * define stateful objects that perform calculations asynchronously, triggered
-   * by external user-defined messages.
-   */
-  class PACPUSTOOLS_API AsyncWorkerBase
+
+/// A simple base class for asynchronous workers able to partake in the
+/// Qt slot / signal mechanism
+///
+/// This class represents an asynchronous event-based worker able to receive and
+/// send Qt signals to other workers or threads. The rationale is to be able to
+/// define stateful objects that perform calculations asynchronously, triggered
+/// by external user-defined messages.
+class PACPUSTOOLS_API AsyncWorkerBase
     : public QObject
     , private boost::noncopyable
-  {
+{
     Q_OBJECT
-    public:
-      /** Constructor. */
-      AsyncWorkerBase();
 
-      /** Destructor. */
-      virtual ~AsyncWorkerBase();
+public:
+    /// Constructor.
+    AsyncWorkerBase();
 
-      /** Starts the worker by creating a new thread for it, and calling the setup() virtual method. */
-      void start();
+    /// Destructor.
+    virtual ~AsyncWorkerBase();
 
-      /** Terminates the worker as soon as there are no more requests pending and its current processing
-       *  is finished.
-       *
-       *	This method tries to end the worker gracefully. All pending signals sent before the stop() request will
-       *	be honored.
-       *	It is safe to call this method from any thread.
-       *
-       *  @param autoDelete if true, deletes the worker as soon as its event loop has finished processing.
-       */
-      void stop(bool autoDelete);
+    /// Starts the worker by creating a new thread for it, and calling the setup() virtual method. */
+    void start();
 
-      /** Returns true if the worker is active. */
-      bool isActive() const { return active_; }
+    /// Terminates the worker as soon as there are no more requests pending and its current processing
+    /// is finished.
+    ///
+    /// This method tries to end the worker gracefully. All pending signals sent before the stop() request will
+    /// be honored.
+    /// It is safe to call this method from any thread.
+    ///
+    ///  @param autoDelete if true, deletes the worker as soon as its event loop has finished processing.
+    void stop(bool autoDelete);
 
-    Q_SIGNALS:
-       /// @todo Documentation
-       void finished();
-       /// @todo Documentation
-       void stopped();
+    /// @returns @b true if the worker is active, @b false otherwise.
+    bool isActive() const
+    {
+        return active_;
+    }
 
-    protected:
-       /// @todo Documentation
-       virtual void setup();
-       /// @todo Documentation
-       virtual void process();
-       /// @todo Documentation
-       virtual void cleanup();
+Q_SIGNALS:
+    /// @todo Documentation
+    void finished();
+    /// @todo Documentation
+    void stopped();
 
-       /** Returns true if the worker is stopping. */
-       bool isStopping() const { return stopping_; }
+protected:
+    /// @todo Documentation
+    virtual void setup();
+    /// @todo Documentation
+    virtual void process();
+    /// @todo Documentation
+    virtual void cleanup();
 
-    private Q_SLOTS:
-      /// @todo Documentation
-      void doSetup();
-      /// @todo Documentation
-      void doFinish();
+    /// Returns true if the worker is stopping.
+    bool isStopping() const { return stopping_; }
 
-    private:
-      /*! \brief Ends the worker, asking the underlying thread to terminate
-       *
-       * This method signals the end of processing and requests the underlying thread to terminate. Actual termination
-       * will occur as soon as all pending signals (including those that may come from other workers during the
-       * finish request handling) have been processed.
-       */
-      void finish();
+private Q_SLOTS:
+    /// @todo Documentation
+    void doSetup();
+    /// @todo Documentation
+    void doFinish();
 
-      // Attributes
-      bool active_;
-      bool stopping_;
-  };
+private:
+    /// Ends the worker, asking the underlying thread to terminate
+    ///
+    /// This method signals the end of processing and requests the underlying thread to terminate. Actual termination
+    /// will occur as soon as all pending signals (including those that may come from other workers during the
+    /// finish request handling) have been processed.
+    void finish();
+
+    // Attributes
+    bool active_;
+    bool stopping_;
+};
+
 } // namespace pacpus
 
